MLAPI API Reference

# NetworkPoolManager Methods

[This is preliminary documentation and is subject to change.]

The NetworkPoolManager type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| CreatePool | Creates a networked object pool. Can only be called from the server
| DestroyPool | This destroys an object pool and all of it's objects. Can only be called from the server
| DestroyPoolObject | Destroys a NetworkedObject if it's part of a pool. Use this instead of the MonoBehaviour Destroy method. Can only be called from Server.
| SpawnPoolObject | Spawns a object from the pool at a given position and rotation. Can only be called from server.

Top
See Also

#### Reference

NetworkPoolManager Class
MLAPI.NetworkingManagerComponents.Core Namespace